layer feature identification in future versions
Easy fix?: No Copied to github as #: 16445
Description

It's very useful with 1.8.0 to use the old label system (doubleclick layer name,labels tab) to show id# to identify each feature while entries
are being made in the attribute table for display via the new system (ABC icon). I'm told that the old system is up for deletion. | hope that
you can then provide a way of enabling id# to be shown during attribute entry. One possibility might be an option to show id# when entries
in the ABC-specified field are null; another might be to allow more than one label per feature with the new system.

History

#1 - 2013-04-03 07:03 AM - Giovanni Manghi
- Status changed from Open to Feedback

I'm sorry, this is really not clear to me. Is tis about the labeling tool or about editing?

#2 - 2013-04-03 08:32 AM - John Sankey

It's a feature request for the new (ABC) labeling tool.

#3 - 2013-04-03 10:03 AM - Regis Haubourg

In new labeling engine, you can use an expression. | remember that $id is available as a field. If confirmed, | think this is what you look for.

#4 - 2013-04-03 10:50 AM - John Sankey

True, but so far only one label can be used for a feature even with the new system. Two labels can't be combined by an expression because neither is
shown if either is null. At present, the two independent label methods allow 2 independent labels per feature.

Also, label expressions are more complex/picky than many QGIS users will be comfortable with - it would be a great advantage to have a clear simple

method of having multiple labels, an [id option while label field is null], or allow multiline labels to be shown even if one component of them is null.

#5 - 2013-04-04 09:46 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed

John Sankey wrote:

True, but so far only one label can be used for a feature even with the new system. Two labels can't be combined by an expression because neither
is shown if either is null. At present, the two independent label methods allow 2 independent labels per feature.

Also, label expressions are more complex/picky than many QGIS users will be comfortable with - it would be a great advantage to have a clear

simple method of having multiple labels, an [id option while label field is null], or allow muiltiline labels to be shown even if one component of them is

null.

what you are asking is the "rule based labelling", that indeed it would be very useful. See

#3843
